class Card:

    def __init__(self, context, lens, triggers=None):
        self.context = context
        self.lens = lens
        self.triggers = triggers


class Trigger:
    def __init__(self, icon, label):
        self.icon = icon
        self.label = label

class Context:

    def __init__(self,object,title, subtitle, features, tags):
        self.object = object
        self.title = title
        self.subtitle = subtitle
        self.features = features
        self.tags = tags


class Feature:
    def __init__(self, icon, label):
        self.icon = icon
        self.label = label


class Lens:

    def __init__(self, text_list=None, img_list=None):
        self.text_list = text_list
        self.img_list = img_list

